Wind River Support Network

HomeDefectsLIN5-23287
Fixed

LIN5-23287 : Security Advisory - libtasn1 - CVE-2017-10790

Created: Jul 13, 2017    Updated: May 29, 2018
Resolved Date: Aug 16, 2017
Found In Version: 5.0.1.40
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The _asn1_check_identifier function in GNU Libtasn1 through 4.12 causes a NULL pointer dereference and crash when reading crafted input that triggers assignment of a NULL value within an asn1_node structure. It may lead to a remote denial of service attack.

https://nvd.nist.gov/vuln/detail/CVE-2017-10790

Other Downloads


Live chat
Online